<!DOCTYPE html>
<html>
<head>
	<title>Prediction</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<style type="text/css">
		.species_pred {
			height: 20px;
		}
		.card-img-top {
			height: 13rem;
			object-fit: cover;
		}
		.footer {
		   position: fixed;
		   left: 0;
		   bottom: 0;
		   width: 100%;
		   opacity: 0.6;
		   text-align: center;
		}
		#btn_hover:hover {
			background-color: #006dcc;
		}
	</style>

</head>
<body class="bg-dark" onload="filter_result()">
	<div class="container text-center">
		<h1 class="text-light">Predictions</h1>	
	</div>
	<div class="container mb-5">
		<div class="row justify-content-center">
			<div class="col col-md-4">
				<div class="input-group">
					<select class="custom-select" id="speciesSelect" aria-label="Example select with button addon">
						<option selected>All</option>
					</select>
					<div class="input-group-append">
					    <button id="btn_hover" class="btn btn-success" type="button" onclick="filter_result()">Filter</button>
					</div>
				</div>		
			</div>
		</div>
		<div class="row justify-content-center pt-3">
			<div class="col col-md-4">
				<a id="btn_hover" href="/map" class="btn btn-success btn-block">Visualise on Map</a>
			</div>
		</div>
		<div class=" row justify-content-center pt-3 pb-3">
			<div class="col col-md-4">
				<button id="btn_hover" onclick="location.href='{{pred_csv}}'" class="btn btn-success btn-block">Download Prediction CSV</button>
			</div>
		</div>	
	</div>



	<div class="container" id="results">
	</div>

	<p class="footer bg-light">
 			The Flask/Python code for this website can be found on <a href="https://gitlab.com/smit.kiri/species-detector/" class="text-primary">Gitlab</a>
 	</p>

	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

	<script type="text/javascript">
		
		var category = {{category|safe}};

		var select = document.getElementById("speciesSelect"); 
		var options = category; 

		for(var i = 0; i < options.length; i++) {
		    var opt = options[i];
		    var el = document.createElement("option");
		    el.textContent = opt;
		    el.value = opt;
		    select.appendChild(el);
		}

		function filter_result() {
			var prediction = {{result|safe}};
			var species = document.getElementById("speciesSelect");
			var results = document.getElementById("results");
			var res = new Array();
			results.innerHTML = '';
			if(species.value == "All"){
				res = prediction;
			}
			else{
				var k;
				for(k=0; k<prediction.length; k++){
					if(species.value == prediction[k][1][0]){
						res.push(prediction[k]);
					}
				}				
			}
			var i;
			var len = res.length;
			var count = 0;
			var num = Math.ceil(len/3);
			for(i=0; i<num; i++){
				var result_row = document.createElement("div");
				result_row.classList.add("row");
				result_row.classList.add("justify-content-center");
				result_row.classList.add("justify-content-sm-around");

				var j;
				x = Math.min(3,len);
				for(j=0; j<x; j++)
				{
					var source = res[count][0];


					var card = document.createElement("div");
					card.classList.add("card");	
					card.classList.add("col-sm-5");	
					card.classList.add("col-lg-3");	
					card.classList.add("mb-3");

					var card_image = document.createElement("img");
					card_image.setAttribute("src", source);
					card_image.classList.add("card-img-top");
					card.append(card_image);

					var card_body = document.createElement("div");
					card_body.classList.add("card-body");

					var species_pred1 = document.createElement("div");
					species_pred1.classList.add("d-flex");
					species_pred1.classList.add("justify-content-between");
					species_pred1.classList.add("species_pred");

					var pred1 = document.createElement("p");
					pred1.classList.add("card-text");
					pred1.innerHTML = res[count][1][0];
					var prob1 = document.createElement("p");
					prob1.classList.add("card-text");
					prob1.innerHTML = res[count][1][1];
					species_pred1.appendChild(pred1);
					species_pred1.appendChild(prob1);
				
					var species_pred2 = document.createElement("div");
					species_pred2.classList.add("d-flex");
					species_pred2.classList.add("justify-content-between");
					species_pred2.classList.add("species_pred");

					var pred2 = document.createElement("p");
					pred2.classList.add("card-text");
					pred2.innerHTML = res[count][2][0];
					var prob2 = document.createElement("p");
					prob2.classList.add("card-text");
					prob2.innerHTML = res[count][2][1];
					species_pred2.appendChild(pred2);
					species_pred2.appendChild(prob2);

					var species_pred3 = document.createElement("div");
					species_pred3.classList.add("d-flex");
					species_pred3.classList.add("justify-content-between");
					species_pred3.classList.add("species_pred");

					var pred3 = document.createElement("p");
					pred3.classList.add("card-text");
					pred3.innerHTML = res[count][3][0];
					var prob3 = document.createElement("p");
					prob3.classList.add("card-text");
					prob3.innerHTML = res[count][3][1];
					species_pred3.appendChild(pred3);
					species_pred3.appendChild(prob3);

					card_body.appendChild(species_pred1);										
					card_body.appendChild(species_pred2);										
					card_body.appendChild(species_pred3);	

					card.appendChild(card_body);

					result_row.appendChild(card);

					count++;	
					len--;								
				}
				results.appendChild(result_row);			
			}
		}
	</script>

</body>
</html>